/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package TelaPricipal;

import Livro.Livro;
import static java.nio.file.Files.list;
import static java.rmi.Naming.list;
import java.util.List;
import java.util.*;
import static java.util.Collections.list;
import javax.swing.DefaultListModel;
import Livro.Livro;
import static TelaPricipal.ClasseMan.listLivro;
import static java.awt.PageAttributes.MediaType.C;
import static java.nio.file.Files.list;
import static java.util.Collections.list;

/**
 *
 * @author sala302b
 */
public class JFramePesquisadoLivro extends javax.swing.JFrame {

    /**
     * Creates new form JFramePesquisadoLivro
     */
    public JFramePesquisadoLivro() {
        initComponents();
        this.setVisible(true);
        setLocationRelativeTo(null);
    }

        public void Preencherlistadelivros(List<Livro> lista){
            DefaultListModel<Livro> defaultListModel = new DefaultListModel<>();
            for (Livro a : lista){
                defaultListModel.addElement(a);
                
            }
            this.jListPesquisadeLivro.setModel(defaultListModel);
            
        }
        
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButtonPesquideLivro = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldPesquisadeLivro = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        jListPesquisadeLivro = new javax.swing.JList();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jButtonPesquideLivro.setText("Pesquisa");
        jButtonPesquideLivro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonPesquideLivroActionPerformed(evt);
            }
        });

        jLabel2.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        jLabel2.setText("Pesquisa de Livro");

        jTextFieldPesquisadeLivro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldPesquisadeLivroActionPerformed(evt);
            }
        });

        jListPesquisadeLivro.addAncestorListener(new javax.swing.event.AncestorListener() {
            public void ancestorMoved(javax.swing.event.AncestorEvent evt) {
            }
            public void ancestorAdded(javax.swing.event.AncestorEvent evt) {
                jListPesquisadeLivroAncestorAdded(evt);
            }
            public void ancestorRemoved(javax.swing.event.AncestorEvent evt) {
            }
        });
        jScrollPane1.setViewportView(jListPesquisadeLivro);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel2)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jTextFieldPesquisadeLivro, javax.swing.GroupLayout.PREFERRED_SIZE, 212, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 31, Short.MAX_VALUE)
                                .addComponent(jButtonPesquideLivro))
                            .addComponent(jScrollPane1))
                        .addGap(26, 26, 26))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(27, 27, 27)
                .addComponent(jLabel2)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldPesquisadeLivro, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonPesquideLivro))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jTextFieldPesquisadeLivroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldPesquisadeLivroActionPerformed
        
    }//GEN-LAST:event_jTextFieldPesquisadeLivroActionPerformed

    private void jButtonPesquideLivroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonPesquideLivroActionPerformed
        String nome = this.jButtonPesquideLivro.getText();
        if(!nome.equals("")){
            List<Livro> listaFiltrada = new ArrayList<>();
             DefaultListModel<Livro> defaultListModel = new DefaultListModel<>();
            for (Livro c : JFrameTelaPrincipal.getlistLivro()){
                if(c.getTitulo().equals(nome)){
                    listaFiltrada.add(c);
                            
                }
         
            }
            this.preencherlistadelivros(listaFiltrada);
          this.jListPesquisadeLivro.setModel(defaultListModel);
        }
        
        
        
    }//GEN-LAST:event_jButtonPesquideLivroActionPerformed

    private void jListPesquisadeLivroAncestorAdded(javax.swing.event.AncestorEvent evt) {//GEN-FIRST:event_jListPesquisadeLivroAncestorAdded
        
        
    }//GEN-LAST:event_jListPesquisadeLivroAncestorAdded

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(JFramePesquisadoLivro.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(JFramePesquisadoLivro.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(JFramePesquisadoLivro.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(JFramePesquisadoLivro.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new JFramePesquisadoLivro().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonPesquideLivro;
    private javax.swing.JFrame jFrame1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JList jListPesquisadeLivro;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField jTextFieldEscreveroLi;
    private javax.swing.JTextField jTextFieldPesquisadeLivro;
    // End of variables declaration//GEN-END:variables

    private void preencherlistadelivros(List<Livro> listaFiltrada) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
}
